aboutsummaryrefslogtreecommitdiffstats
path: root/meta/classes
diff options
context:
space:
mode:
authorRichard Purdie <richard.purdie@linuxfoundation.org>2014-09-23 20:00:31 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2014-09-23 21:38:47 +0100
commitfdc949154e64afb41dd4db3a97be74a15963128d (patch)
tree1a46e5eb5ddb651f65817cc50949902b080fe7fa /meta/classes
parent7743a309017f0fb9286f00b1f6f546ee95c05303 (diff)
downloadopenembedded-core-contrib-fdc949154e64afb41dd4db3a97be74a15963128d.tar.gz
openembedded-core-contrib-fdc949154e64afb41dd4db3a97be74a15963128d.tar.bz2
openembedded-core-contrib-fdc949154e64afb41dd4db3a97be74a15963128d.zip
update-rc.d/systemd: Remove OVERRIDES dependency
Taking run-postinsts and building for two machines which have different OVERRIDES leads to two different sets of stamps for an allarch package. We don't need to depend on OVERRIDES in these classes, the end resulting variables are good enough. We can therefore exclude the dependency and allow a single package to be generated for run-postinsts. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/classes')
-rw-r--r--meta/classes/systemd.bbclass2
-rw-r--r--meta/classes/update-rc.d.bbclass1
2 files changed, 3 insertions, 0 deletions
diff --git a/meta/classes/systemd.bbclass b/meta/classes/systemd.bbclass
index a6ad723dfd..708ba892bd 100644
--- a/meta/classes/systemd.bbclass
+++ b/meta/classes/systemd.bbclass
@@ -55,6 +55,8 @@ fi
systemd_populate_packages[vardeps] += "systemd_prerm systemd_postinst"
+systemd_populate_packages[vardepsexclude] += "OVERRIDES"
+
python systemd_populate_packages() {
if not bb.utils.contains('DISTRO_FEATURES', 'systemd', True, False, d):
diff --git a/meta/classes/update-rc.d.bbclass b/meta/classes/update-rc.d.bbclass
index 3c5414b79b..bc1aa7dad6 100644
--- a/meta/classes/update-rc.d.bbclass
+++ b/meta/classes/update-rc.d.bbclass
@@ -72,6 +72,7 @@ PACKAGESPLITFUNCS_prepend = "populate_packages_updatercd "
PACKAGESPLITFUNCS_remove_class-nativesdk = "populate_packages_updatercd "
populate_packages_updatercd[vardeps] += "updatercd_prerm updatercd_postrm updatercd_preinst updatercd_postinst"
+populate_packages_updatercd[vardepsexclude] += "OVERRIDES"
python populate_packages_updatercd () {
def update_rcd_auto_depend(pkg):